﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.DynamicData;
using System.Web.UI.WebControls;
using System.Data;

    public static class DataTableExtensions {
        public static void EnableDynamicData(this GridView gridView, DataTable dataTable) {
            // Create the MetaTable wrapping the datatable in the custom type descriptor
            var table = MetaTable.CreateTable(new DataTableCustomTypeDescriptor(dataTable));
            gridView.SetMetaTable(table);
            if (gridView.AutoGenerateColumns && gridView.ColumnsGenerator == null) {
                gridView.ColumnsGenerator = new DefaultAutoFieldGenerator(table);
            }
        }
    }

