﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.DynamicData;
using System.ComponentModel.DataAnnotations;

[MetadataType(typeof(Product.Metadata))]
public partial class Product
{
    public class Metadata
    {
        [Editable(false)]
        public string ProductID { get; set; }
        [Required]
        public string ProductName { get; set; }
        [Range(0, 100), UIHint("Currency")]
        public decimal UnitPrice { get; set; }
        [Range(0, 100), UIHint("IntegerSlider")]
        public decimal ReorderLevel { get; set; }
    }
}
    public static class Products {
        static string connectionString = ConfigurationManager.ConnectionStrings["NORTHWNDConnectionString"].ConnectionString;
        public static DataTable GetProductsTable() {
            
            using (SqlConnection conn = new SqlConnection(connectionString)) {
                conn.Open();
                SqlCommand command = new SqlCommand("SELECT * FROM Products", conn);
                SqlDataAdapter adapter = new SqlDataAdapter(command);
                DataTable dt = new DataTable("Products");
                adapter.Fill(dt);
                return dt;
            }
        }
    }